/**
 * 
 * Copyright 2005 LogicBlaze, Inc. http://www.logicblaze.com
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.logicblaze.soa;

import org.apache.xbean.server.spring.main.SpringBootstrap;

import java.io.InputStream;
import java.io.PrintStream;

/**
 * The main entry point into the server called from within a valid classloader which has xbean and spring on it
 * 
 * @version $Revision: 66 $
 */
public class BootstrapMain {

    public static void main(String[] args) {
        BootstrapMain main = new BootstrapMain();
        main.main(args, System.in, System.out, null);
    }
    
    public void main(String[] args, InputStream in, PrintStream out, String baseDirectory) {
        SpringBootstrap bootstrap = new SpringBootstrap();
        bootstrap.setServerBaseDirectory(baseDirectory);
        bootstrap.setConfigurationFile("fuse-bootstrap.xml");
        SpringBootstrap.main(args, bootstrap);
    }
}
