/**
 *
 * Copyright 2005-2006 The Apache Software Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.logicblaze.soa;

import java.rmi.RemoteException;
import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;

public class RmiRegistryFactoryBean extends
		org.springframework.remoting.rmi.RmiRegistryFactoryBean {

	private boolean testRegistry = true;

	public boolean isTestRegistry() {
		return testRegistry;
	}

	public void setTestRegistry(boolean testRegistry) {
		this.testRegistry = testRegistry;
	}
	
	protected Registry getRegistry(int port) throws RemoteException {
		if (testRegistry) {
			return super.getRegistry(port);
		} else {
			return LocateRegistry.createRegistry(port);
		}
	}
	
}
