@echo off
setlocal

rem
rem FUSE with Java Service Wrapper general startup script
rem

if "%OS%"=="Windows_NT" goto nt
echo This script only works with NT-based versions of Windows.
goto :eof

set FUSE_HOME=%~dp0..

if exist "%HOME%\fuserc_pre.bat" call "%HOME%\fuserc_pre.bat"


rem %~dp0 is expanded pathname of the current script under NT
set DEFAULT_ACTIVEMQ_HOME=%~dp0..

if "%ACTIVEMQ_HOME%"=="" set ACTIVEMQ_HOME=%DEFAULT_ACTIVEMQ_HOME%
set DEFAULT_ACTIVEMQ_HOME=

rem Slurp the command line arguments. This loop allows for an unlimited number
rem of arguments (up to the command line limit, anyway).
set ACTIVEMQ_CMD_LINE_ARGS=%1
if ""%1""=="""" goto doneStart
shift

:doneStart
rem find ACTIVEMQ_HOME if it does not exist due to either an invalid value passed
rem by the user or the %0 problem on Windows 9x
if exist "%ACTIVEMQ_HOME%\README.txt" goto checkJava

rem check for fuse in Program Files on system drive
if not exist "%SystemDrive%\Program Files\fuse" goto checkSystemDrive
set ACTIVEMQ_HOME=%SystemDrive%\Program Files\fuse
goto checkJava

:checkSystemDrive
rem check for fuse in root directory of system drive
if not exist %SystemDrive%\fuse\README.txt goto checkCDrive
set ACTIVEMQ_HOME=%SystemDrive%\fuse
goto checkJava

:checkCDrive
rem check for fuse in C:\fuse for Win9X users
if not exist C:\fuse\README.txt goto noAntHome
set ACTIVEMQ_HOME=C:\fuse
goto checkJava

:noAntHome
echo ACTIVEMQ_HOME is set incorrectly or fuse could not be located. Please set ACTIVEMQ_HOME.
goto end


:checkJava
set _JAVACMD=%JAVACMD%
set LOCALCLASSPATH=%CLASSPATH%

set JAVA_EXT_DIRS=%JAVA_HOME%\lib\ext;%ACTIVEMQ_HOME%;%ACTIVEMQ_HOME%\lib;%ACTIVEMQ_HOME%\lib\optional

if "%JAVA_HOME%" == "" goto noJavaHome
if not exist "%JAVA_HOME%\bin\java.exe" goto noJavaHome
if "%_JAVACMD%" == "" set _JAVACMD=%JAVA_HOME%\bin\java.exe
goto nt

:noJavaHome
if "%_JAVACMD%" == "" set _JAVACMD=java.exe
echo.
echo Warning: JAVA_HOME environment variable is not set.
echo.


:nt
rem
rem Find the application home.
rem
rem %~dp0 is location of current script under NT
set _REALPATH=%~dp0..\

rem Decide on the wrapper binary.
set _WRAPPER_BASE=wrapper
set _WRAPPER_EXE="%_REALPATH%%_WRAPPER_BASE%-windows-x86-32.exe"
if exist %_WRAPPER_EXE% goto conf
set _WRAPPER_EXE="%_REALPATH%%_WRAPPER_BASE%-windows-x86-64.exe"
if exist %_WRAPPER_EXE% goto conf
set _WRAPPER_EXE="%_REALPATH%%_WRAPPER_BASE%.exe"
if exist %_WRAPPER_EXE% goto conf
echo Unable to locate a Wrapper executable using any of the following names:
echo %_REALPATH%%_WRAPPER_BASE%-windows-x86-32.exe
echo %_REALPATH%%_WRAPPER_BASE%-windows-x86-64.exe
echo %_REALPATH%%_WRAPPER_BASE%.exe
pause
goto :eof

rem
rem Find the wrapper.conf
rem
:conf
set _WRAPPER_CONF="%~f1"
if not %_WRAPPER_CONF%=="" goto startup
set _WRAPPER_CONF="%_REALPATH%\conf\wrapper.conf"

rem
rem Start the Wrapper
rem
:startup
%_WRAPPER_EXE% -c %_WRAPPER_CONF%
if not errorlevel 1 goto :eof
pause