/**
 *
 * Copyright 2005-2006 The Apache Software Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package com.liferay.portal.service;

public interface UserManagement {

    public static final int SUCCESS = 1;
    public static final int FAILURE = -1;
    

    public int addUser(String userId, String password, String emailAddress, String firstName, String lastName);

    public int deleteUser(String userId);

    public int updateUser(String userId, String emailAddress, String firstName, String lastName);

    public int updatePassword(String userId, String password);
    
    public int addRoleUsers(String roleName, String[] userIds);
    
    public int unsetRoleUsers(String roleName, String[] userIds);
    
    public int addRole(String roleName);

}







