@REM ---------------------------------------------------------------------------
@REM WASCE customizations for geronimo.bat.
@REM
@REM This file is invoked prior to setjavaenv.bat and therefore selectively
@REM overrides default behavior.
@REM ---------------------------------------------------------------------------

@REM Makesure environment has JAVA_HOME variable. 
if "%JAVA_HOME%" == "" goto noJavaHome
goto wasceJavaHome

:noJavaHome
@echo.
@echo Error: JAVA_HOME environment variable is not set.
@echo.
set ERRORLEVEL=1
goto end

:wasceJavaHome
@REM First instance of our WASCE variable is initialized by the installer..
if "%WASCE_JAVA_HOME%" == "" set WASCE_JAVA_HOME=%JAVA_HOME%
@REM Only use our WASCE pointer to Java if it is actually set to something
if "%WASCE_JAVA_HOME%" == "" goto noinstaller
set JRE_HOME=%WASCE_JAVA_HOME%
set JAVA_HOME=%WASCE_JAVA_HOME%
:noinstaller
if "%JRE_HOME%" == "" set JRE_HOME=%JAVA_HOME%
if "%JAVA_HOME%" == "" set JAVA_HOME=%JRE_HOME%
if not "%JAVA_HOME%" == "" goto setenvok
@echo Error: Neither WASCE_JAVA_HOME, JAVA_HOME nor JRE_HOME is defined.
@echo    At least one of these environment variables needs to be set.
set ERRORLEVEL=1
goto end
:setenvok

@REM Setup our WASCE_HOME for the samples to use
if not "%GERONIMO_HOME%" == "" goto checkBase
@REM %~dp0 is expanded pathname of the current script
set GERONIMO_HOME=%~dp0..
@REM resolve .. and remove any trailing slashes
set CURRENT_DIR=%cd%
cd %GERONIMO_HOME%
set GERONIMO_HOME=%cd%
cd %CURRENT_DIR%

:checkBase
if "%GERONIMO_BASE%" == "" set GERONIMO_BASE=%GERONIMO_HOME%
if "%WASCE_HOME%" == "" set WASCE_HOME=%GERONIMO_HOME%
:gotBase
set JAVA_OPTS=-Xms32m -Xmx256m -XX:MaxPermSize=256m "-Djava.endorsed.dirs=%GERONIMO_BASE%/lib/endorsed" %JAVA_OPTS%

:end
@rem Done.

